<?php
/**
 * This file is part of Theme for 
 * pragmaMx - Web Content Management System.
 *
 * $template : ala_lingu $
 * $Revision: 1.1 $
 * 
 * $Author: aLaNiSo $
 * $Date: 21.10.2014 $
 */
defined ( 'mxMainFileLoaded' ) or die ( 'access denied' );

/**
 * theme_functions
 *
 * @package
 *
 * @author ????
 * @copyright Copyright (c) 2014
 * @access public
 */
class theme_functions {
  private static $config;
  private static $__set = array (); // Konfigurtion
  
  /**
   * class::__construct()
   *
   * @param mixed $parameter          
   */
  function __construct($parameter = null) {

    $this->themename = $parameter;
    self::$config = load_class ( "Config", $this->themename );
  }

  /**
   * class::GetDefaultConfig()
   *
   * @return
   *
   */
  static function GetDefaultConfig() {
    $img_path = realpath(dirname(__FILE__) . DS . '..' . DS . 'images' ); 
    $temp = array (
        'colorschema' => 'orange',
        'rightblocks' => true,
        'sitename' => $GLOBALS ['sitename'],
        'slogan' => $GLOBALS ['slogan'],
        'searchslogan' => 'Wer suchet der findet...',
        'head_css_menu' => '{CSS-MENU}',
        'mobile_css_menu' => '{CSS-MENU}',
        'foot_css_menu' => '',
        'facebooklink' => '',
        'rsslink' => 'backend.php',
        'twitterlink' => '',
        'youtubelink' => '',
        'bebolink' => '',
        'googlelink' => '',
        'xinglink' => '',
        'tumblrlink' => '',
        'perex' => '0',
        'banner' => array (
            'head' => 0,
            'foot' => 0 
        ),
        'useslides' => 1,
        'nof_slides' => 3,
        'slide_href1' => './',
        'slide_head1' => 'about us',
        'slide_text1' => 'Über uns kann man schon einiges erzählen - wir sind schliesslich sehr interessant!',
        'slide_img1' => 'themes/ala_lingu/images/slide1.jpg', 
        'slide_href2' => './',
        'slide_head2' => 'unsere Interessen',
        'slide_text2' => 'Dies ist der Ort, an dem wir unseren Interessen ein Bild geben...',
        'slide_img2' => 'themes/ala_lingu/images/slide2.jpg', 
        'slide_href3' => './',
        'slide_head3' => 'ach Übrigens......',
        'slide_text3' => 'Wussten Sie schon, dass es zwar Gallien gab (Gruß an Asterix und Obelix), jedoch niemals Lungien, Herzien oder gar Blinddarmien?!',
        'slide_img3' => 'themes/ala_lingu/images/slide3.jpg' 
        );
    return $temp;
  }

  /**
   * class::config_save()
   * Konfiguration auslesen .
   * ...
   *
   * @param array $temp          
   * @return
   *
   */
  public function config_save($temp = array()) {

    $themename = $this->themename;
    self::$config->setSection ( $themename, $temp );
    return;
  }

  /**
   * class::config_load()
   *
   * @return
   *
   */
  public function config_load() {
    // self::$config = load_class("Config",$this->themename);
    $themename = $this->themename;
    
    $temp = $this->GetDefaultConfig ();
    $temp = array_merge ( $temp, (self::$config->getSection ( $themename )) );
    
    // if (count($temp) == 0) { // Array leer
    // defaultwerte eintragen
    // $temp = $this->GetDefaultConfig();
    // self::$config->setSection($themename, $temp);
    // }
    
    return $temp;
  }

  /**
   * class::__get()
   *
   * @param mixed $value_name          
   * @return
   *
   */
  public function __get($value_name) {

    if (isset ( self::$__set [$value_name] )) {
      return self::$__set [$value_name];
    }
    return false;
  }

  /**
   * class::__set()
   *
   * @param mixed $name          
   * @param mixed $val          
   * @return
   *
   */
  public function __set($name, $val) {

    self::$__set [$name] = $val;
  }
}

?>